scsi_internal_device_unblock
Prev | drivers/scsi/scsi_lib.c | Next

## Name

scsi_internal_device_unblock — resume a device after a block request

## Synopsis

`int scsi_internal_device_unblock (` | struct scsi_device * | sdev`)`;

## Arguments

`sdev`

  device to resume

## Description

Called by scsi lld's or the midlayer to restart the device queue for the previously suspended scsi device. Called from interrupt or normal process context.

Returns zero if successful or error if not.

## Notes

This routine transitions the device to the SDEV_RUNNING state (which must be a legal transition) allowing the midlayer to goose the queue for this device. This routine assumes the host_lock is held upon entry.

Prev | Up | Next
scsi_internal_device_block | Home | scsi_kmap_atomic_sg